def keys [] {
  ^kv list | lines | each { |line| $line | str trim }
}

# Get a value
export extern "kv get" [
  key: string@keys # Key
  --store(-s)      # Use a specific store instead of aggregate
]

# Set a value
export extern "kv set" [
  key: string      # Key
  value: string    # Value
  ...value: string # Value cont.
  --store(-s)      # Store for this key/value
]

# Delete a value
export extern "kv del" [
  key: string@keys # Key
  --store(-s)      # Store for this key/value
]

# List keys and values
export extern "kv list" [
  prefix?: string # Key prefix filter
  --store(-s)     # Use a specific store instead of aggregate
]
